dunetpc - Bug #22219
Task # 22198 (New): Address various issues in protodune-sp reconstruction

Acess invalid element of array in Calorimetry reconstruction
03/26/2019 08:51 AM - Tingjun Yang
Priority: Normal Due date:

Assignee: Tingjun Yang % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Description

==22281== Invalid read of size 8

==22281== at Ox3E9F27AD: calo::Calorimetry::produce (art::Event&) (Calorimetry_module.cc:471)
==22281== by 0x66COBEO: art::EDProducer::produceWithFrame (art::Eventé&, art::ProcessingFrame con
st&) (EDProducer.cc:91)

==22281== by 0x6797845: art::detail::Producer::doEvent (art::EventPrincipal&, art::ModuleContext

consté&, std::atomic<unsigned long>g&, std::atomic<unsigned long>&, std::atomic<unsigned long>&) (P
roducer.cc:125)

==22281== by 0x275B7D37: art::WorkerT<art::EDProducer>::implDoProcess (art::EventPrincipal&, art
: :ModuleContext consté&) (WorkerT.h:198)

==22281== by 0x8F9FC26: art::Worker::runWorker (art::EventPrincipal&, art::ModuleContext consté&)
(Worker.cc:586)

==22281== by 0x8F9F96B: art:: (anonymous namespace) ::RunWorkerFunctor: :operator () () const (Worke

r.cc:564)

==22281== by 0x8FA30CC: void hep::concurrency::SerialTaskQueueChain: :runFunc<art:: (anonymous na

mespace) : :RunWorkerFunctor> (art:: (anonymous namespace) : :RunWorkerFunctor consté&) (SerialTaskQueueC

hain.h:83)

==22281== by 0x8FA2E8F: void hep::concurrency::SerialTaskQueueChain: :push<art:: (anonymous names

pace) : :RunWorkerFunctor> (art:: (anonymous namespace) : :RunWorkerFunctor consté&) ::{lambda () #1}::0pera

tor () () (SerialTaskQueueChain.h:54)

==22281== by O0x8FA4362: hep::concurrency: :QueuedTask<void hep::concurrency::SerialTaskQueueChai

n::push<art:: (anonymous namespace) : :RunWorkerFunctor> (art:: (anonymous namespace) : :RunWorkerFunctor
consté&) ::{lambda () #1}>::execute () (SerialTaskQueue.h:87)

==22281== by 0x9950892: tbb::internal::custom_scheduler<tbb::internal::IntelSchedulerTraits>::1

ocal_wait_for_all (tbb::task&, tbb::task*) (custom_scheduler.h:509)

==22281== by 0x993B70A: tbb::task::spawn_and_wait_for_all (tbb::task_listé&) (task.cpp:245)

==22281== by 0x5A14400: void art::EventProcessor::process<(art::Level)4>() (EventProcessor.cc:5

30)

==22281== Address 0x55lafaf8 is 0 bytes after a block of size 8 alloc'd

==22281== at 0x4C2A243: operator new(unsigned long) (vg_replace_malloc.c:334)

==22281== by 0x72495DE: allocate (new_allocator.h:111)

==22281== by 0x72495DE: allocate (alloc_traits.h:436)

==22281== by 0x72495DE: _M_allocate (stl_vector.h:172)

==22281== by 0x72495DE: void std::vector<double, std::allocator<double> >::_M realloc_insert<do

uble>(__gnu_cxx::__normal_iterator<double*, std::vector<double, std::allocator<double> > >, double

&&) (vector.tcc:406)

==22281== by OxD6EE68B: double& std::vector<double, std::allocator<double> >::emplace_back<doub

le> (double&é&) (vector.tcc:105)

==22281== by 0xD6EB8Bl: std::vector<double, std::allocator<double> >::push_back (double&&) (stl_

vector.h:954)

==22281== by 0x3E9F1AQOF: calo::Calorimetry::produce (art::Eventé&) (Calorimetry_module.cc:375)

==22281== by 0x66COBEO: art::EDProducer::produceWithFrame (art::Event&, art::ProcessingFrame con

st&) (EDProducer.cc:91)

==22281== by 0x6797845: art::detail::Producer::doEvent (art::EventPrincipal&, art::ModuleContext

consté&, std::atomic<unsigned long>&, std::atomic<unsigned long>&, std::atomic<unsigned long>&) (P
roducer.cc:125)

==22281== by 0x275B7D37: art::WorkerT<art::EDProducer>::implDoProcess (art::EventPrincipal&, art

: :ModuleContext consté&) (WorkerT.h:198)

==22281== by 0x8F9FC26: art::Worker::runWorker (art::EventPrincipal&, art::ModuleContext consté&)
(Worker.cc:586)

==22281== by 0x8FI9F96B: art:: (anonymous namespace) ::RunWorkerFunctor: :operator () () const (Worke

r.cc:564)
==22281== by 0x8FA30CC: void hep::concurrency::SerialTaskQueueChain: :runFunc<art:: (anonymous na

mespace) : :RunWorkerFunctor> (art:: (anonymous namespace) : :RunWorkerFunctor consté&) (SerialTaskQueueC
hain.h:83)
==22281== by 0x8FA2E8F: void hep::concurrency::SerialTaskQueueChain: :push<art:: (anonymous names

pace) : :RunWorkerFunctor> (art:: (anonymous namespace) : :RunWorkerFunctor consté&) ::{lambda () #1}::0pera
tor () () (SerialTaskQueueChain.h:54)
==22281==

History

#1 - 03/26/2019 08:52 AM - Tingjun Yang
- Parent task set to #22198

#2 - 03/28/2019 12:24 PM - Tingjun Yang

- Status changed from Assigned to Resolved

This was caused by an issue that there is only one hit associated with a track in one plane. This only happens with pmtrack (not pandora). | added a
protection to require at least two hits per view in calorimetry module.

#3 - 08/18/2019 10:01 AM - Tingjun Yang

- Status changed from Resolved to Closed
